| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csScreenTargetResult Struct Reference

This structure is returned by csEngineTools::FindScreenTarget(). More...

`#include <cstool/enginetools.h>`

List of all members.

## Public Attributes
csVector3 | isect
| The intersection point (in world space) on the mesh where we hit.
iMeshWrapper * | mesh
| The mesh that was hit or 0 if nothing was hit.
int | polygon_idx
| If the accurate method of testing was used (not using collider system) then (depending on type of mesh) this might contain a polygon index that was hit.

## Detailed Description

This structure is returned by csEngineTools::FindScreenTarget().

Definition at line 60 of file enginetools.h.

## Member Data Documentation

csVector3 csScreenTargetResult::isect

The intersection point (in world space) on the mesh where we hit.

If no mesh was hit this will be set to the end point of the beam that was used for testing.

Definition at line 72 of file enginetools.h.

iMeshWrapper* csScreenTargetResult::mesh

The mesh that was hit or 0 if nothing was hit.

Definition at line 65 of file enginetools.h.

int csScreenTargetResult::polygon_idx

If the accurate method of testing was used (not using collider system) then (depending on type of mesh) this might contain a polygon index that was hit.

If not then this will be -1.

Definition at line 79 of file enginetools.h.

The documentation for this struct was generated from the following file:

- cstool/enginetools.h